Class Index | File Index

## Classes

- _global_
- jasmine
- jasmine.Block
- jasmine.Env
- jasmine.JsApiReporter
- jasmine.Matchers
- jasmine.MultiReporter
- jasmine.NestedResults
- jasmine.Reporter
- jasmine.Runner
- jasmine.Spec
- jasmine.Spy
- jasmine.Suite
- jasmine.util

# Class jasmine.NestedResults

Defined in: jasmine-0.10.0.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| jasmine.NestedResults() Holds results for a set of Jasmine spec.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| failedCount Number of failed results
| passedCount Number of passed results
| skipped Was this suite/spec skipped?
| totalCount The total count of results

Method Summary
Method Attributes | Method Name and Description
--- | ---
| addResult(result) Adds a result, tracking counts (total, passed, & failed)
| getItems() Getter for the results: message & results.
| log(message) Tracks a result's message.
| passed()
| rollupCounts(result) Roll up the result counts.

Class Detail
jasmine.NestedResults()
Holds results for a set of Jasmine spec. Allows for the results array to hold another jasmine.NestedResults
Field Detail
failedCount
Number of failed results

passedCount
Number of passed results

skipped
Was this suite/spec skipped?

totalCount
The total count of results
Method Detail
addResult(result)
Adds a result, tracking counts (total, passed, & failed)

Parameters:
{jasmine.ExpectationResult|jasmine.NestedResults} result

getItems()
Getter for the results: message & results.

log(message)
Tracks a result's message.

Parameters:
message

{Boolean} passed()

Returns:
  {Boolean} True if everything below passed

rollupCounts(result)
Roll up the result counts.

Parameters:
result

Documentation generated by JsDoc Toolkit 2.1.0 on Sat Oct 31 2009 21:44:38 GMT-0700 (PDT)